import React, { useMemo } from 'react';

import { scaleSqrt, max } from 'd3';
import { Marks } from './Marks';

const sizeValue = d => d.hpi;
const maxRadius = 5;

export const BubbleMap = ({ data, filteredData, worldAtlas}) => {
  const sizeScale = useMemo(
    () =>
      scaleSqrt()
        .domain([10, max(data, sizeValue)])
        .range([0, maxRadius]),
    [data, sizeValue, maxRadius]
  );

  return (
    <Marks
      worldAtlas={worldAtlas}
      data={filteredData}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
    />
  );
};
