var volcano_maps = L.map('volcano_maps').setView([0, 0], 2);

// Dictionary to map volcano types to colors
var volcano_type_colors = {
    'Stratovolcano': 'blue',
    'Caldera': 'purple',
    'Shield': 'green',
    'Shield(s)': 'red'
};

// Adding volcanos to the map with different colors based on type
for (var i = 0; i < df.shape[0]; i++) {
    var volcano = df.iloc[i];
    if (volcano['primary_volcano_type'] in volcano_type_colors) {
        L.marker([volcano['latitude'], volcano['longitude']], {
            icon: L.icon({
                iconUrl: 'https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.7.1/images/marker-icon.png',
                iconSize: [25, 41],
                iconAnchor: [12, 41],
                popupAnchor: [1, -34],
            }),
        }).bindPopup(volcano['volcano_name']).addTo(volcano_maps);
    }
}

var tooltip = ['volcano_name', 'primary_volcano_type', 'country'];
